> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/workflows-and-signing/user-for-delegate.md).

# User For Delegate

## GET /api/Public/GetUserForDelegate/GetUserForDelegate

> User for delegate (GetUserForDelegate/GetUserForDelegate)

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetUserForDelegate"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.DelegateUserDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DelegateUserDto"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DelegateUserDto":{"type":"object","properties":{"subscriberId":{"type":"integer","format":"int32"},"fullName":{"type":"string","nullable":true},"email_Id":{"type":"string","nullable":true},"userType":{"type":"integer","format":"int32"},"isActive":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/Public/GetUserForDelegate/GetUserForDelegate":{"get":{"tags":["GetUserForDelegate"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.DelegateUserDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.DelegateUserDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.DelegateUserDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"User for delegate (GetUserForDelegate/GetUserForDelegate)","operationId":"get_GetUserForDelegate_GetUserForDelegate"}}}}
```

## GET /api/Public/MobGetUserForDelegate/GetUserForDelegate

> User for delegate (MobGetUserForDelegate/GetUserForDelegate)

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"GetUserForDelegate"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.DelegateUserDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"type":"array","items":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.DelegateUserDto"},"nullable":true}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.DelegateUserDto":{"type":"object","properties":{"subscriberId":{"type":"integer","format":"int32"},"fullName":{"type":"string","nullable":true},"email_Id":{"type":"string","nullable":true},"userType":{"type":"integer","format":"int32"},"isActive":{"type":"boolean"}},"additionalProperties":false}}},"paths":{"/api/Public/MobGetUserForDelegate/GetUserForDelegate":{"get":{"tags":["GetUserForDelegate"],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.DelegateUserDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.DelegateUserDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[System.Collections.Generic.List`1[[emSignerCoreAPI.Shared.DTOs.DelegateUserDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]], System.Private.CoreLib, Version=9.0.0.0, Culture=neutral, PublicKeyToken=7cec85d7bea7798e]]"}}}}},"summary":"User for delegate (MobGetUserForDelegate/GetUserForDelegate)","operationId":"get_MobGetUserForDelegate_GetUserForDelegate"}}}}
```
